coroparse.c File Reference
`#include <config.h>`
`#include <sys/types.h>`
`#include <sys/uio.h>`
`#include <sys/socket.h>`
`#include <sys/stat.h>`
`#include <sys/un.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <dirent.h>`
`#include <libgen.h>`
`#include <limits.h>`
`#include <stddef.h>`
`#include <grp.h>`
`#include <pwd.h>`
`#include <qb/qblist.h>`
`#include <qb/qbutil.h>`
`#include <corosync/logsys.h>`
`#include <corosync/icmap.h>`
`#include "main.h"`
`#include "util.h"`
Include dependency graph for coroparse.c:

Go to the source code of this file.

## Data Structures

struct | key_value_list_item
struct | main_cp_cb_data

## Macros

#define | LOGSYS_UTILS_ONLY 1

## Typedefs

typedef int(* | parser_cb_f) (const char *path, char *key, char *value, enum main_cp_cb_data_state *state, enum parser_cb_type type, const char **error_string, icmap_map_t config_map, void *user_data)

## Enumerations

enum | parser_cb_type { PARSER_CB_START , PARSER_CB_END , PARSER_CB_SECTION_START , PARSER_CB_SECTION_END , PARSER_CB_ITEM }

enum

main_cp_cb_data_state {
MAIN_CP_CB_DATA_STATE_NORMAL , MAIN_CP_CB_DATA_STATE_TOTEM , MAIN_CP_CB_DATA_STATE_INTERFACE , MAIN_CP_CB_DATA_STATE_LOGGER_SUBSYS ,
MAIN_CP_CB_DATA_STATE_UIDGID , MAIN_CP_CB_DATA_STATE_LOGGING_DAEMON , MAIN_CP_CB_DATA_STATE_MEMBER , MAIN_CP_CB_DATA_STATE_QUORUM ,
MAIN_CP_CB_DATA_STATE_QDEVICE , MAIN_CP_CB_DATA_STATE_NODELIST , MAIN_CP_CB_DATA_STATE_NODELIST_NODE , MAIN_CP_CB_DATA_STATE_PLOAD ,
MAIN_CP_CB_DATA_STATE_SYSTEM , MAIN_CP_CB_DATA_STATE_RESOURCES , MAIN_CP_CB_DATA_STATE_RESOURCES_SYSTEM , MAIN_CP_CB_DATA_STATE_RESOURCES_PROCESS ,
MAIN_CP_CB_DATA_STATE_RESOURCES_SYSTEM_MEMUSED , MAIN_CP_CB_DATA_STATE_RESOURCES_PROCESS_MEMUSED
}

## Functions

int | coroparse_configparse (icmap_map_t config_map, const char **error_string)

## Macro Definition Documentation

## LOGSYS_UTILS_ONLY

#define LOGSYS_UTILS_ONLY 1

Definition at line 60 of file coroparse.c.

## Typedef Documentation

## parser_cb_f

typedef int(* parser_cb_f) (const char *path, char *key, char *value, enum main_cp_cb_data_state *state, enum parser_cb_type type, const char **error_string, icmap_map_t config_map, void *user_data)

Definition at line 96 of file coroparse.c.

## Enumeration Type Documentation

## main_cp_cb_data_state

enum main_cp_cb_data_state

Enumerator
MAIN_CP_CB_DATA_STATE_NORMAL |
MAIN_CP_CB_DATA_STATE_TOTEM |
MAIN_CP_CB_DATA_STATE_INTERFACE |
MAIN_CP_CB_DATA_STATE_LOGGER_SUBSYS |
MAIN_CP_CB_DATA_STATE_UIDGID |
MAIN_CP_CB_DATA_STATE_LOGGING_DAEMON |
MAIN_CP_CB_DATA_STATE_MEMBER |
MAIN_CP_CB_DATA_STATE_QUORUM |
MAIN_CP_CB_DATA_STATE_QDEVICE |
MAIN_CP_CB_DATA_STATE_NODELIST |
MAIN_CP_CB_DATA_STATE_NODELIST_NODE |
MAIN_CP_CB_DATA_STATE_PLOAD |
MAIN_CP_CB_DATA_STATE_SYSTEM |
MAIN_CP_CB_DATA_STATE_RESOURCES |
MAIN_CP_CB_DATA_STATE_RESOURCES_SYSTEM |
MAIN_CP_CB_DATA_STATE_RESOURCES_PROCESS |
MAIN_CP_CB_DATA_STATE_RESOURCES_SYSTEM_MEMUSED |
MAIN_CP_CB_DATA_STATE_RESOURCES_PROCESS_MEMUSED |

Definition at line 75 of file coroparse.c.

## parser_cb_type

enum parser_cb_type

Enumerator
PARSER_CB_START |
PARSER_CB_END |
PARSER_CB_SECTION_START |
PARSER_CB_SECTION_END |
PARSER_CB_ITEM |

Definition at line 67 of file coroparse.c.

## Function Documentation

## coroparse_configparse()

int coroparse_configparse | ( | icmap_map_t | config_map,
|  | const char ** | error_string
| ) |  |

Definition at line 258 of file coroparse.c.